package com.happy.dao;

import com.happy.Model.BookingComplaint;
import com.happy.Model.HotelCoupon;
import com.happy.dto.IPage;
import com.happy.vo.BookingComplaintVo;
import com.happy.vo.ComplaintPageVo;
import com.happy.vo.DetailsVo;
import com.happy.vo.ProgressDetailsVo;

import java.util.List;

public interface BookingComplainDao {

    List<BookingComplaintVo> queryPage(String sqlx, int page, int rows);
    List<BookingComplaint> toComplainExcel(String sqlx);

    int queryTotal(String sqlx);

    BookingComplaint getById(String id);

    BookingComplaint getDetailById(String id);

    String insert(String bookingId, String hotelId, String houseId, String title, String content, String createId, String createDate, String modifyDate);

    List<ComplaintPageVo> complaintPage(String usersId, int page, int rows);

    int complaintPageTotal(String usersId);

    ProgressDetailsVo progressDetails(String complaintId);

    ProgressDetailsVo progressNewDetails(String complaintId);

    List<DetailsVo> detailsVoList(String complaintId);

    List<DetailsVo> detailsNewVoList(String complaintId);

    DetailsVo detailsVo(String complaintId);

    DetailsVo detailsNewVo(String complaintId);

    int updateComplain(String id,String status);
}
